Context
Endpoints for managing contexts
This endpoint retrieves all JSON-LD context files for the authenticated wallet.
A list of JSON-LD context files for the wallet
Unauthorized
Internal Server Error
GET /api/v1/context HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"context_file_id": "test.json",
"file": {
"@context": {
"GenericCredential": {
"@id": "https://example.com/indicio#GenericCredential",
"@context": {
"name": "http://schema.org/name",
"familyName": "http://schema.org/familyName",
"givenName": "http://schema.org/givenName",
"identifier": "https://example.com/indicio#identifier",
"date": {
"@id": "http://schema.org/date",
"@type": "http://www.w3.org/2001/XMLSchema#date"
},
"description": "http://schema.org/description"
}
}
}
},
"wallet_id": "e3356f7c-37a2-4e38-a9fc-ba2288dc04a2",
"created_at": "2025-07-10T03:11:52.623Z",
"updated_at": "2025-07-10T03:11:52.623Z"
}
]This endpoint saves a JSON-LD context file for a specific wallet.
The filename of the JSON-LD context file to save.
test.jsonContext saved successfully
Bad Request
Unauthorized
Internal Server Error
POST /api/v1/context HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 448
{
"context_file_id": "test.json",
"file": {
"@context": {
"GenericCredential": {
"@id": "https://example.com/indicio#GenericCredential",
"@context": {
"name": "http://schema.org/name",
"familyName": "http://schema.org/familyName",
"givenName": "http://schema.org/givenName",
"identifier": "https://example.com/indicio#identifier",
"date": {
"@id": "http://schema.org/date",
"@type": "http://www.w3.org/2001/XMLSchema#date"
},
"description": "http://schema.org/description"
}
}
}
}
}{
"id": 1,
"context_file_id": "test.json",
"file": {
"@context": {
"GenericCredential": {
"@id": "https://example.com/indicio#GenericCredential",
"@context": {
"name": "http://schema.org/name",
"familyName": "http://schema.org/familyName",
"givenName": "http://schema.org/givenName",
"identifier": "https://example.com/indicio#identifier",
"date": {
"@id": "http://schema.org/date",
"@type": "http://www.w3.org/2001/XMLSchema#date"
},
"description": "http://schema.org/description"
}
}
}
},
"wallet_id": "e3356f7c-37a2-4e38-a9fc-ba2288dc04a2",
"created_at": "2025-07-10T03:11:52.623Z",
"updated_at": "2025-07-10T03:11:52.623Z"
}This endpoint retrieves a JSON-LD context file by its ID for the authenticated wallet.
The ID of the JSON-LD context file to retrieve.
JSON-LD context file retrieved successfully
Unauthorized
Context file not found
Internal Server Error
GET /api/v1/context/{context_file_id} HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
"id": 1,
"context_file_id": "test.json",
"file": {
"@context": {
"GenericCredential": {
"@id": "https://example.com/indicio#GenericCredential",
"@context": {
"name": "http://schema.org/name",
"familyName": "http://schema.org/familyName",
"givenName": "http://schema.org/givenName",
"identifier": "https://example.com/indicio#identifier",
"date": {
"@id": "http://schema.org/date",
"@type": "http://www.w3.org/2001/XMLSchema#date"
},
"description": "http://schema.org/description"
}
}
}
},
"wallet_id": "e3356f7c-37a2-4e38-a9fc-ba2288dc04a2",
"created_at": "2025-07-10T03:11:52.623Z",
"updated_at": "2025-07-10T03:11:52.623Z"
}This endpoint retrieves all JSON-LD context files from all wallets (static route).
A list of all JSON-LD context files
Internal Server Error
GET /context HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"id": 1,
"context_file_id": "test.json",
"file": {
"@context": {
"GenericCredential": {
"@id": "https://example.com/indicio#GenericCredential",
"@context": {
"name": "http://schema.org/name",
"familyName": "http://schema.org/familyName",
"givenName": "http://schema.org/givenName",
"identifier": "https://example.com/indicio#identifier",
"date": {
"@id": "http://schema.org/date",
"@type": "http://www.w3.org/2001/XMLSchema#date"
},
"description": "http://schema.org/description"
}
}
}
},
"wallet_id": "e3356f7c-37a2-4e38-a9fc-ba2288dc04a2",
"created_at": "2025-07-10T03:11:52.623Z",
"updated_at": "2025-07-10T03:11:52.623Z"
}
]Last updated